package salsa.resources;

import salsa.language.Actor;
import salsa.language.ActorReference;
import salsa.language.ServiceFactory;

public class StandardOutput extends ActorReference{

   private static StandardOutput instance;

   private StandardOutput() {
	ual = ServiceFactory.getTheater().generateUAL();                
	Actor state = new State();         
	state.__ual = ual;
	ServiceFactory.getTheater().setEntry(ual, state);
   }

   public static synchronized StandardOutput getInstance() {
      if (instance == null) {
         instance = new StandardOutput();
      }

      return instance;
   }

        /** The following are used to serialize and deserialize a ResourceActor Reference
         */
/*        private void writeObject(java.io.ObjectOutputStream out) throws IOException {
                out.defaultWriteObject();
                out.flush();
        }
    
        private void readObject(java.io.ObjectInputStream in) throws IOException, ClassNotFoundException {
                in.defaultReadObject();
                this.ual = getInstance().ual;  
        }
*/

   public class State extends Actor {
      public State() {
	 this.reName("/system/standardOutput");
      }

      public void print(Object object){
         System.out.print(object);
         }
         public void print(boolean b){
         System.out.print(b);
         }
         public void print(char c){
         System.out.print(c);
         }
         public void print(byte b){
         System.out.print(b);
         }
         public void print(short s){
         System.out.print(s);
         }
         public void print(int i){
         System.out.print(i);
         }
         public void print(long l){
         System.out.print(l);
         }
         public void print(float f){
         System.out.print(f);
         }
         public void print(double d){
         System.out.print(d);
         }

         public void println(Object object){
         System.out.println(object);
         }
         public void println(boolean b){
         System.out.println(b);
         }
         public void println(char c){
         System.out.println(c);
         }
         public void println(byte b){
         System.out.println(b);
         }
         public void println(short s){
         System.out.println(s);
         }
         public void println(int i){
         System.out.println(i);
         }
         public void println(long l){
         System.out.println(l);
         }
         public void println(float f){
         System.out.println(f);
         }
         public void println(double d){
         System.out.println(d);
         }

         public void println(){
         System.out.println();
         }
   }
}
