/*
	Code generation for the following grammar segment:
	
	MethodAttributes := 
		("public" | "protected" | "private" | "static" | "abstract" | "final" | "native" | "synchronized")*
*/

package salsac.definitions;

import salsac.*;

public class MethodAttributes extends SimpleNode {

	public MethodAttributes(int id) 					{ super(id); }
	public MethodAttributes(SalsaParser p, int id)	{ super(p, id); }


	public String getChildCode() {
		Token current = first_token;

		String code = "";		
		for (; current != null; current = current.next) {
			code += current.image + " ";
		}
		return code;
	}
}